<link rel="import" href="../../bower_components/polymer/polymer-element.html">
<link rel="import" href="../../bower_components/iron-icon/iron-icon.html">
<link rel="import" href="../../bower_components/iron-icons/iron-icons.html">
<link rel="import" href="../../bower_components/paper-toolbar/paper-toolbar.html">
<link rel="import" href="../../bower_components/paper-tabs/paper-tab.html">
<link rel="import" href="../../bower_components/paper-tabs/paper-tabs.html">
<link rel="import" href="../../bower_components/paper-icon-button/paper-icon-button.html">
<link rel="import" href="../../bower_components/paper-icon-button/paper-icon-button-light.html">
<link rel="import" href="../../bower_components/paper-drawer-panel/paper-drawer-panel.html">
<link rel="import" href="../../bower_components/paper-header-panel/paper-header-panel.html">
<link rel="import" href="../../bower_components/iron-collapse/iron-collapse.html">
<link rel="import" href="../../bower_components/iron-form/iron-form.html">
<link rel="import" href="../../bower_components/paper-button/paper-button.html">
<link rel="import" href="../../bower_components/paper-input/paper-input.html">
<link rel="import" href="../../bower_components/paper-input/paper-textarea.html">
<link rel="import" href="../../bower_components/paper-styles/default-theme.html">
<link rel="import" href="../../src/mi-datos/mi-app-datos.html">
<link rel="import" href="../../src/mi-datos-acceso/mi-app-datos-acceso.html">
<link rel="import" href="../../src/mi-app-sobre-mi/mi-app-sobre-mi.html">



<dom-module id="mi-app-final-app">
  <template>
    <style>
      /*roja #FF1493*/
      :host {
        --paper-tab-ink: var(--accent-color);
      }
      :host([pressed]) paper-icon-button.pressed-one {
        color: #FF1493;
      }

      paper-tabs {
        --paper-tabs-selection-bar-color: var(--accent-color);
        font-size: 10px;
        font-weight: bold;

      }
      paper-toolbar{
        background-color: #F5F5F5;
        border: 1px solid #A9A9A9;
        color: black;
      }
      span{
        font-size: 12px;
        text-align: left;
        font-weight: bold;
      }
      paper-header-panel.principal{
        background-color: #F5F5F5;
        --paper-header-panel-shadow: {
          background-color: #FF1493;
          }

      }
      paper-header-panel.lateral{
        background-color: black;
        --paper-header-panel-shadow: {
          background-color: #FF1493;
          }
      }
      div.principal-one{
        width: 95%;
        background-color: #D3D3D3;
        margin-left: 20px;
        height: auto;
      }
      div.contenido{
        background-color: white;
        width: 100%;
        height: auto;

      }
      paper-icon-button{
        color: white;
        width: 100%;
        height: 50px;
      }
      table{
        width: 100%;
      }
      td{
        width: 50%;
        color: white;
      }
      }

    </style>

<paper-drawer-panel>
      <paper-header-panel slot="drawer" class="lateral">
        <table>
          <tr>
            <td><paper-icon-button slot="top" icon="menu"></paper-icon-button></td>
            <td>Menu</td>
          </tr>
          <tr>
            <td><paper-icon-button slot="top" icon="account-box"></paper-icon-button></td>
            <td>Mi perfil</td>
          </tr>
          <tr>
            <td><paper-icon-button slot="top" icon="mail"></paper-icon-button></td>
            <td>E-mail</td>
          </tr>
          <tr>
            <td><paper-icon-button slot="top" icon="close"></paper-icon-button></td>
            <td>Cerrar</td>
          </tr>
        </table>
      </paper-header-panel>

      <paper-header-panel slot="main" class="principal">
        <paper-toolbar>
          <span slot="top" class="title">MI PERFIL</span>
        </paper-toolbar><br>
        <div class="principal-one">
          <paper-tabs selected="0">
            <paper-tab on-click="toggle" my-attribute="collapse1">Mis datos</paper-tab>
            <paper-tab on-click="toggle" my-attribute="collapse2">Datos de acceso</paper-tab>
            <paper-tab on-click="toggle" my-attribute="collapse3">Mis intereses</paper-tab>
            <paper-tab on-click="toggle" my-attribute="collapse4">Sobre mi</paper-tab>
            <paper-tab></paper-tab>
            <paper-tab></paper-tab>
          </paper-tabs>
          <div class="contenido">
          <iron-collapse id="collapse1" class="collapse"><br>
          <mi-app-datos collection="{{collection}}"></mi-app-datos>
        </iron-collapse>

          <iron-collapse id="collapse2" class="collapse"><br>
            <mi-app-datos-acceso></mi-app-datos-acceso>
          </iron-collapse>

          <iron-collapse id="collapse3" class="collapse"><br>
            <p>En construccion</p>
            <mi-app-login></mi-app-login>
          </iron-collapse>

          <iron-collapse id="collapse4" class="collapse"><br>
            <mi-app-sobre-mi></mi-app-sobre-mi>
          </iron-collapse>
        </div>
        </div>
      </paper-header-panel>
  </template>

  <script>
    /**
     * @customElement
     * @polymer
     */
    class MiAppFinalApp extends Polymer.Element {
      static get is() { return 'mi-app-final-app'; }
      static get properties() {
        return {
            collection: {
              type: Array,
              value: function(){ return [];}
            },
          pressed: {
          type: Boolean,
          notify: true,
          reflectToAttribute: true,
          value: false
          }
        };
      }
      toggle(e) {
         var id = e.target.getAttribute('my-attribute');
         console.log(id);
         this.shadowRoot.querySelector('#'+id).toggle();
      }
    }
    

    window.customElements.define(MiAppFinalApp.is, MiAppFinalApp);
  </script>
</dom-module>
